<!doctype html>
<html>
<head>
  <base href="/">
  <meta charset="utf-8">
  <title>LOVENDO</title>
  <meta name="description" content="">
  <meta name="viewport" content="width=device-width">
  <link rel="icon" type="image/png" href="http://fountainjs.io/assets/imgs/fountain.png" />

  <!-- build:css({.tmp,src}) styles/vendor.css -->
  <!-- bower:css -->
  <!-- run `gulp inject` to automatically populate bower styles dependencies -->
  <!-- endbower -->
  <!-- endbuild -->

  <!-- build:css({.tmp,src}) styles/app.css -->
  <link rel="stylesheet" href="index.css"/>
  <!-- endbuild -->

  <script src="https://maps.googleapis.com/maps/api/js?libraries=geometry,places&key=AIzaSyDbWNVWIomyLEBzbhCYLIQss4VBvfyglU8"></script>
</head>

<body ng-app="app" ng-controller="IndexController as state">
  <header>
    <nav class="navbar navbar-default">
      <div class="container-fluid">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#app-navbar" aria-expanded="false">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="#">
            <img src="assets/images/logo.png" alt="lovendo">
          </a>
        </div>

        <div class="collapse navbar-collapse" id="app-navbar">
          <form class="navbar-form navbar-left" ng-submit="state.geoSearch(state.query.q)">
            <div class="form-group">
              <div class="input-group">
                <span class="input-group-btn">
                  <button class="btn btn-default" type="submit">
                    <i class="glyphicon glyphicon-search"></i>
                  </button>
                </span>
                <input type="text" class="form-control" ng-model="state.query.q"
                       uib-typeahead="city as city for city in state.cities | filter:$viewValue | limitTo:8"
                       placeholder="Selecciona la ciudad."
                       autocomplete="off"
                       typeahead-on-select="state.selectedCity($item, $model, $label, $event)"
                       typeahead-editable="false"
                       aria-describedby="search">
              </div>
            </div>
          </form>
          <ul class="nav navbar-nav navbar-right" ng-if="!state.isLogged()">
            <li ng-class="{active: state.buy}">
              <a ng-click="state.toBuy()">Comprar</a>
            </li>
            <li ng-class="{active: state.rent}">
              <a ng-click="state.toRent()">Rentar</a>
            </li>
            <li>
              <a ng-click="state.showAccess()">
                <strong>
                  LOG IN
                </strong>
              </a>
            </li>
          </ul>
          <ul class="nav navbar-nav navbar-right" ng-if="state.isLogged()">
            <li ng-class="{active: state.buy}">
              <a ng-click="state.toBuy()">Comprar</a>
            </li>
            <li ng-class="{active: state.rent}">
              <a ng-click="state.toRent()">Rentar</a>
            </li>
            <li class="dropdown">
              <a href="#" class="uppercase dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                {{state.currentUser().name}} <span class="caret"></span>
              </a>
              <ul class="dropdown-menu">
                <li><a ng-click="state.changeSearchesTab(1)">Búsquedas Guardadas</a></li>
                <li><a ng-click="state.changeSearchesTab(0)">Casas Guardadas</a></li>
                <li role="separator" class="divider"></li>
                <li>
                  <a ng-click="state.logOut()">
                    LOG OUT
                  </a>
                </li>
              </ul>
            </li>
          </ul>
        </div>
      </div>
    </nav>
  </header>
  <div class="sub-navbar">
    <button class="sub-navbar-item btn btn-default" ng-class="{active: showOptions}" ng-init="showOptions = false" ng-click="showOptions = !showOptions">
      <i class="glyphicon glyphicon-tasks"></i>
    </button>
    <span class="sub-navbar-item options">
      <span class="btn btn-default search-result" ng-click="state.clearSearch()">
        {{state.query.q}}
        <span class="cross"></span>
      </span>
      <span class="btn btn-default search-result" ng-if="state.getQueryLabel(property)" ng-repeat="property in state.getSearchProperties()">
        {{state.getQueryLabel(property)}}
        <span class="cross" ng-click="state.cancelQuery(property)"></span>
      </span>
    </span>
    <span class="sub-navbar-item options" ng-if="showOptions">
      <div class="sub-navbar-item dropdown">
        <button class="btn btn-default dropdown-toggle" type="button" id="homeType" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
          Tipo de Vivienda
          <span class="caret"></span>
        </button>
        <ul class="dropdown-menu dropdown-menu-list" aria-labelledby="homeType">
          <li class="dropdown-custom-item" ng-repeat="homeType in state.homeType.types">
            <label>
              <input type="checkbox" ng-checked="state.homeType.isSelected(homeType.value)" ng-click="state.homeType.select(homeType.value)"> {{homeType.label}}
            </label>
          </li>
        </ul>
      </div>
      <div class="sub-navbar-item dropdown">
        <button class="btn btn-default dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
          Precio
          <span class="caret"></span>
        </button>
        <ul class="dropdown-menu" aria-labelledby="listingType">
          <li class="dropdown-custom-item dropdown-custom-item-header">
            <label for="min-price">Min</label>
          </li>
          <li class="dropdown-custom-item dropdown-custom-item-input">
            <input type="number" ng-model="state.filters.minprice" id="min-price" class="form-control">
          </li>
          <li class="dropdown-custom-item dropdown-custom-item-header">
            <label for="max-price">Max</label>
          </li>
          <li class="dropdown-custom-item dropdown-custom-item-input">
            <input type="number" ng-model="state.filters.maxprice" id="max-price" class="form-control">
          </li>
        </ul>
      </div>
      <div class="sub-navbar-item dropdown">
        <button class="btn btn-default dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
          Cuartos
          <span class="caret"></span>
        </button>
        <ul class="dropdown-menu" aria-labelledby="listingType">
          <li class="dropdown-custom-item dropdown-custom-item-header">
            <label for="min-room">Min</label>
          </li>
          <li class="dropdown-custom-item dropdown-custom-item-input">
            <input type="number" ng-model="state.filters.minbeds" id="min-room" class="form-control">
          </li>
          <li class="dropdown-custom-item dropdown-custom-item-header">
            <label for="max-room">Min</label>
          </li>
          <li class="dropdown-custom-item dropdown-custom-item-input">
            <input type="number" ng-model="state.filters.maxbeds" id="max-room" class="form-control">
          </li>
        </ul>
      </div>
      <div class="sub-navbar-item dropdown">
        <button class="btn btn-default dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
          Baños
          <span class="caret"></span>
        </button>
        <ul class="dropdown-menu" aria-labelledby="listingType">
          <li class="dropdown-custom-item dropdown-custom-item-header">
            <label for="min-bathroom">Min</label>
          </li>
          <li class="dropdown-custom-item dropdown-custom-item-input">
            <input type="number" ng-model="state.filters.minbaths" id="min-bathroom" class="form-control">
          </li>
          <li class="dropdown-custom-item dropdown-custom-item-header">
            <label for="max-bathroom">Max</label>
          </li>
          <li class="dropdown-custom-item dropdown-custom-item-input">
            <input type="number" ng-model="state.filters.maxbaths" id="max-bathroom" class="form-control">
          </li>
        </ul>
      </div>
      <div class="sub-navbar-item dropdown">
        <button class="btn btn-default dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
          Pies Cuadrados
          <span class="caret"></span>
        </button>
        <ul class="dropdown-menu" aria-labelledby="listingType">
          <li class="dropdown-custom-item dropdown-custom-item-header">
            <label for="min-sqft">Min</label>
          </li>
          <li class="dropdown-custom-item dropdown-custom-item-input">
            <input type="number" ng-model="state.filters.minarea" id="min-sqft" class="form-control">
          </li>
          <li class="dropdown-custom-item dropdown-custom-item-header">
            <label for="max-sqft">Max</label>
          </li>
          <li class="dropdown-custom-item dropdown-custom-item-input">
            <input type="number" ng-model="state.filters.maxarea" id="max-sqft" class="form-control">
          </li>
        </ul>
      </div>
    </span>

    <button class="btn btn-default pull-right dark" ng-class="{active: showProprieties}" ng-init="showProprieties = false" ng-click="showProprieties = !showProprieties"><i class="glyphicon glyphicon-th-large"></i></button>
    <button class="btn btn-default pull-right" ng-click="state.geoLocation()"><strong>FL</strong></button>
    <button ng-if="state.isLogged()" class="btn btn-primary pull-right save-search" ng-click="state.saveSearch()">Guardar Búsqueda</button>
  </div>

  <div class="main-container">
    <div class="side-right-panel" ng-show="showProprieties" ng-include="'app/modules/main/proprieties/main-proprieties.html'" ng-controller="MainProprietiesController as vm"></div>
    <div class="side-right-panel middle-screen" ng-show="state.showSearches" ng-include="'app/modules/main/searches/main-searches.html'" ng-controller="MainSearchesController as vm"></div>
    <ui-view></ui-view>
  </div>


  <!--Start of Zendesk Chat Script-->
  <script type="text/javascript">
    window.$zopim||(function(d,s){var z=$zopim=function(c){z._.push(c)},$=z.s=
      d.createElement(s),e=d.getElementsByTagName(s)[0];z.set=function(o){z.set.
    _.push(o)};z._=[];z.set._=[];$.async=!0;$.setAttribute("charset","utf-8");
      $.src="//v2.zopim.com/?4K9WQMhR15rsffa9Z5kSrKzGJGH8jtCf";z.t=+new Date;$.
        type="text/javascript";e.parentNode.insertBefore($,e)})(document,"script");
  </script>
  <!--End of Zendesk Chat Script-->
</body>

<!-- build:js({.tmp,src}) scripts/vendor.js -->
<!-- bower:js -->
<!-- run `gulp inject` to automatically populate bower script dependencies -->
<!-- endbower -->
<!-- endbuild -->

<!-- build:js({.tmp,src}) scripts/app.js -->
<!-- inject:js -->
<!-- js files will be automatically insert here -->
<!-- endinject -->
<!-- inject:partials -->
<!-- angular templates will be automatically converted in js and inserted here -->
<!-- endinject -->
<!-- endbuild -->
</html>

